在R中安装tm包

r 3.2.3版本中安装tm软件包时遇到问题。 我已经尝试过在互联网上实现不同的方式和堆栈溢出的答案。 我不知道我哪里错了。

表明

loadNamespace(j < – i [[1L]],c(lib.loc,.libPaths()),versionCheck = vI [[j]])中的错误:namespace'slam'0.1-32正在加载,但> =需要0.1.37

错误:延迟加载包'tm'失败*删除'/home/alankrita/R/x86_64-pc-linux-gnu-library/3.2/tm'install.packages中的警告:安装包'tm'非零退出状态

下载的源码包在'/ tmp / RtmpPSKOOW / downloaded_pa​​ckages'中

任何帮助将不胜感激。 🙂

我通过将R的版本升级到最新版本解决了这个问题,然后再次尝试安装tm软件包。 如果你在Linux上,你可以通过将Cran站点添加到你的仓库列表中,然后更新你的r-base版本来实现。

对于Ubuntu用户,可以在这里找到添加Cran repo的很好的描述。 一旦你把你的系统指向Cran repo,r版本的升级可以通过以下方式实现:

 sudo apt-get install r-base